@media screen and (max-width: 767px) {
  .grid-boi {padding:0!important;align-items: center!important; flex-direction: column!important; justify-content: center!important; gap: 30px}
  .wrapper-codeline-header {justify-content: center!important; align-items: center!important; text-align: center!important;}
  .wrapper-codeline-header .text-section-subheader{text-align: center!important;}
  #codeline-container {width: 100%}
          .wrapper-codeline-header, #codeline-container{width:100%!important;max-width: unset!important;}
              #codeLineWindow {overflow-x: scroll!important;}
  .wrapper-codeline-header .section-heading {text-align: left!important;}
}
@media screen and (max-width: 1100px) and (min-width: 768px) {
  .wrapper-codeline-header, #codeline-container{width:50%!important;max-width: unset!important;}
  #codeLineWindow {overflow-x: scroll!important;}
}
.grid-boi {
    padding:0 30px;gap:5%;display:flex; align-items: center; justify-content: space-between;
}
.wrapper-codeline-header {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
}
.wrapper-codeline-header .text-section-subheader{
    text-align: left!important;
}

td#lineNumbers {
  width: 10px;
}
#codeline-container {
      max-width: 50%;
    background-color: #122351;
    border-radius: 5px;
    border: 1px solid #ccc;
    height: auto;
    margin: 50px auto 80px auto;
}

#codeLineWindow {   
    overflow-y: scroll;
    color: #fff;
    height: 300px;
      overflow-x: hidden
}

.button-container {
    padding: 0.5rem 1rem;
    background: #fac401;
    border: none;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

#codeline-container table {
    width: 100%;
    border-spacing: 0;
    margin: 1rem 0;
}

#codeline-container td {
    vertical-align: top;
    padding: 0 15px;
    text-align: left;
    font-size: 14px;
    font-family: Karla, sans-serif;
    color: rgba(255, 255, 255, 0.3);
}

#codeline-container pre {
    border: 0;
    margin: 0;
    padding: 0;
    line-height: 1.8;
    color: #fff;
      width: 700px;
}

#codeline-container td {
    line-height: 1.8;
    font-family: Karla, sans-serif;
}

#codeline-container code {
    font-size: 14px;
    color: #fff;
    white-space: pre-wrap;
    word-wrap: break-word;
    font-family: Karla, sans-serif;
}

/* --  #fac401 --*/
.brackets-operators {
    color: #2358d0;
}

.bgc {
    background-color: #122351;
}

.variables-values {
    color: #fac401;
}

.default {
    color: #ffffff
}
.colons {
    color: rgba(255, 255, 255, 0.3);
}
.innerBraket {
    color: #0093f0;
}
.innerBraket:first-child, .innerBraket:last-child {
    color:#fe019a!important;
}
.comma-or-quote {
    color: #fff!important;
}
#copy-button {
    border-radius: 5px;
    background-color: transparent;
    font-family: Karla, sans-serif;
    color: #0a2a7f;
    font-size: 12px;
    line-height: 24px;
    font-weight: 500;
    text-align: center;
    border:none;
    font-weight: bold;
}
